This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 236985 - Pirut fails to resolve package dependencies
Pirut fails to resolve package dependencies
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-18 15:15 EDT by Markus Svensson
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-24 18:01:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Markus Svensson 2007-04-18 15:15:10 EDT
Description of problem:
Pirut fails to resolve dependencies for packages when adding the Development
Libraries, Development Tools and Java Development categories to a newly
installed Core 7 Test3 system

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Select Add/Remove software from the Applications menu
2. Add Development Libraries, Development Tools and Java Development
3. Click Apply
  
Actual results:
Component: Software Manager
Summary: TB8a9b4f2f packageSack.py:600:returnNewestByNameArch:PackageSackError:
No Package Matching glibc.i686

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 336, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 698, in
applyChanges
    self.checkDeps(mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 467, in checkDeps
    (result, msgs) = self.buildTransaction()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 543, in
buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 972, in _resolveDeps
    (checkdep, missing, conflict, errormsgs) = self._processReq(dep)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 437, in _processReq
    requirementTuple, errormsgs)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 558, in
_requiringFromInstalled
    po = self.pkgSack.returnNewestByNameArch((name,arch))[0]
  File "/usr/lib/python2.5/site-packages/yum/packageSack.py", line 308, in
returnNewestByNameArch
    return bestofeach.returnNewestByNameArch(naTup)
  File "/usr/lib/python2.5/site-packages/yum/packageSack.py", line 600, in
returnNewestByNameArch
    raise PackageSackError, 'No Package Matching %s.%s' % naTup
PackageSackError: No Package Matching glibc.i686

Local variables in innermost frame:
highdict: {}
self: <yum.packageSack.ListPackageSack object at 0x6355d10>
naTup: ('glibc', 'i686')
where: None

Expected results:
Software install

Additional info:
Comment 1 Jeremy Katz 2007-04-19 16:50:01 EDT
What versions of pirut and yum do you have installed?  If you update both of
them to the current development versions, does this still occur?
Comment 2 Markus Svensson 2007-04-21 11:48:34 EDT
After running the update to the latest versions (as found by the auto updater)
the problem no longer occurs.

The problem occurred when using the "stock" versions delivered with the x86_64
versions of Fedora Core 7 Test3.

Note You need to log in before you can comment on or make changes to this bug.